// EdIRBkLs.hpp : header file
//

#ifndef _EDIRBKLS_HPP_
#define _EDIRBKLS_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxtempl.h>

#include "EdIRBk.hpp"

/////////////////////////////////////////////////////////////////////////////
// class CPA_EdIR_BreakPointList
/////////////////////////////////////////////////////////////////////////////

class CPA_EdIR_BreakPointList : public CList<CPA_EdIR_BreakPoint *,CPA_EdIR_BreakPoint *>
{
	private:
		POSITION	m_fn_posGetPositionBreakPoint(long,CString);

	public:
		CPA_EdIR_BreakPointList();
		~CPA_EdIR_BreakPointList();

		void		m_fn_vDestroyAndRemoveAllEntries();

		BOOL		m_fn_bIsInList(long,CString);
		void		m_fn_vSetOneBreakPoint(long,CString);
		void		m_fn_vRemoveOneBreakPoint(long,CString);

		BOOL		m_fn_bExistMoreThanOnce(CPA_EdIR_BreakPoint *);
};

#endif //_EDIRBKLS_HPP_
